<?php

/**
 * Prev/next/view all buttons for posts and portfolio items
 *
 * @package wpv
 * @subpackage lawyers-attorneys
 */

global $post;

$tax = $post->post_type === 'post' ? 'category' : 'portfolio_category';

$view_all = wpv_get_option($post->post_type.'-all-items');

if(is_singular(array('tribe_events', 'tribe_organizer', 'tribe_venue')) && function_exists('tribe_get_events_link')) {
	$view_all = tribe_get_events_link();
}

$prev_anchor = '<span class="icon theme">'.wpv_get_icon('theme-arrow-left22').'</span>';
$next_anchor = '<span class="icon theme">'.wpv_get_icon('theme-arrow-right22').'</span>';

?>
<span class="post-siblings">
	<?php
		if(is_singular('tribe_events') && function_exists('tribe_the_prev_event_link')) {
			tribe_the_prev_event_link( $prev_anchor );
		} else {
			previous_post_link( '%link', $prev_anchor, true, array(), $tax );
		}
	?>

	<?php if(!empty($view_all)): ?>
		<a href="<?php echo $view_all ?>" class="all-items"><?php echo do_shortcode('[vamtam_icon name="theme-grid"]') ?></a>
	<?php endif ?>

	<?php
		if(is_singular('tribe_events') && function_exists('tribe_the_next_event_link')) {
			tribe_the_next_event_link( $next_anchor );
		} else {
			next_post_link( '%link', $next_anchor, true, array(), $tax );
		}
	?>
</span>